<?php

namespace App\Modules\LodgingPlace\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateLodgingPlaceQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $direction,
        private string $longitude,
        private string $latitude,
        private int $version,
        private int $status,
        private string $icon,
        private string $place,
        private int $idAdmin,
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }
    public function direction(): string
    {
        return $this->direction;
    }
    public function longitude(): string
    {
        return $this->longitude;
    }

    public function latitude(): string
    {
        return $this->latitude;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }
    public function icon(): string
    {
        return $this->icon;
    }
    public function place(): string
    {
        return $this->place;
    }
}
